Subject: Re: [PATCH] home: services: unclutter: Convert to non-one-shot service

From: Nicolas Goaziou <[email-masked]>
Date: Sun, 02 Mar 2025 10:02:47 +0100

Hello,

> On Mon, Jan 15, 2024 at 05:50:12PM +0200, Saku Laesvuori wrote:
> > On Sun, Nov 26, 2023 at 11:00:15AM +0200, Saku Laesvuori wrote:
> > > * gnu/home/services/desktop.scm (home-unclutter-shepherd-service)
> > > [one-shot?]: Remove field.
> > > [stop]: Add kill action.
> > 
> > A reminder about this trivial change. The unclutter service spawns a
> > process that hides the cursor when it is inactive. The process runs for
> > the entire session and killing it causes the cursor to stay visible even
> > when inactive, so it seems to me that it should be provided by a normal
> > service that can be started/stopped.
> 
> Ping

Thank you for the patch! Unfortunately, it seems it felt through the
cracks. I’m sorry about that.

The proposed change was applied recently to the service, so I’m closing
this report.

Regards,
-- 
Nicolas Goaziou